Admission Charges
Function-calling namespace: admissionCharges
- Base URL:
https://api.aivida.in - Engine endpoint:
POST /api - Auth: Stack token middleware enabled in
optionalmode. - Send token in header:
x-stack-access-token: <access_token>(orAuthorization: Bearer <access_token>). - In
optionalmode: no token is allowed; invalid token is rejected with401.
applyCharge
Source: backend/endpoints/admission-charges/apply-charge
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
stackTeamId | string | Yes | - |
stackUserId | string | Yes | - |
serviceId | string | Yes | - |
chargeType | string | Yes | - |
admissionId | string | Yes | - |
quantity | number | No | default: 1 |
referenceType | string | No | - |
referenceId | string | No | - |
notes | string | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "admissionCharges",
"apiName": "applyCharge",
"data": {
"stackTeamId": "org_123",
"stackUserId": "user_123",
"serviceId": "service_123",
"chargeType": "MEDICATION",
"admissionId": "admission_123",
"quantity": 1,
"referenceType": "PRESCRIPTION",
"referenceId": "prescription_123"
}
}'Example Response
{ "status": "ok", "data": {} }applyDoctorFee
Source: backend/endpoints/admission-charges/apply-doctor-fee
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
stackTeamId | string | Yes | - |
stackUserId | string | Yes | - |
doctorId | string | Yes | - |
admissionId | string | Yes | - |
consultationId | string | No | - |
notes | string | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "admissionCharges",
"apiName": "applyDoctorFee",
"data": {
"stackTeamId": "org_123",
"stackUserId": "stackuser_123",
"doctorId": "doctor_123",
"admissionId": "admission_123"
}
}'Example Response
{ "status": "ok", "data": {} }applyLabCharge
Source: backend/endpoints/admission-charges/apply-lab-charge
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
stackTeamId | string | Yes | - |
stackUserId | string | Yes | - |
serviceId | string | Yes | - |
labOrderId | string | Yes | - |
admissionId | string | Yes | - |
quantity | number | No | default: 1 |
notes | string | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "admissionCharges",
"apiName": "applyLabCharge",
"data": {
"stackTeamId": "org_123",
"stackUserId": "stackuser_123",
"serviceId": "service_123",
"labOrderId": "laborder_123",
"admissionId": "admission_123"
}
}'Example Response
{ "status": "ok", "data": {} }checkChargeExists
Source: backend/endpoints/admission-charges/check-charge-exists
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
stackTeamId | string | Yes | - |
admissionId | string | Yes | - |
referenceType | string | Yes | - |
referenceId | string | Yes | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "admissionCharges",
"apiName": "checkChargeExists",
"data": {
"stackTeamId": "org_123",
"admissionId": "admission_123",
"referenceType": "general",
"referenceId": "reference_123"
}
}'Example Response
{ "status": "ok", "data": {} }getChargesForAdmission
Source: backend/endpoints/admission-charges/get-charges-for-admission
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
stackTeamId | string | Yes | - |
admissionId | string | Yes | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "admissionCharges",
"apiName": "getChargesForAdmission",
"data": {
"stackTeamId": "org_123",
"admissionId": "admission_123"
}
}'Example Response
{ "status": "ok", "data": {} }getChargesForPatient
Source: backend/endpoints/admission-charges/get-charges-for-patient
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
stackTeamId | string | Yes | - |
patientId | string | Yes | - |
limit | integer | No | min: 1; max: 500 |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "admissionCharges",
"apiName": "getChargesForPatient",
"data": {
"stackTeamId": "org_123",
"patientId": "patient_123"
}
}'Example Response
{ "status": "ok", "data": {} }getChargesSummary
Source: backend/endpoints/admission-charges/get-charges-summary
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
stackTeamId | string | Yes | - |
admissionId | string | Yes | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "admissionCharges",
"apiName": "getChargesSummary",
"data": {
"stackTeamId": "org_123",
"admissionId": "admission_123"
}
}'Example Response
{ "status": "ok", "data": {} }voidCharge
Source: backend/endpoints/admission-charges/void-charge
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
stackTeamId | string | Yes | - |
stackUserId | string | Yes | - |
reason | string | Yes | - |
chargeId | string | Yes | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "admissionCharges",
"apiName": "voidCharge",
"data": {
"stackTeamId": "org_123",
"stackUserId": "stackuser_123",
"reason": "value",
"chargeId": "charge_123"
}
}'Example Response
{ "status": "ok", "data": {} }